require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.QUICHE, "quicheSpinach", true);
SManager:AddAppetizer(AppetizerType.SKEWERS, "skewersChicken", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpScampi", false);

SManager:AddMeal(MealType.FISH, "fishGingerSalmon", false);
SManager:AddMeal(MealType.STEAK, "steakTeriyakiBeef", false);
SManager:AddMeal(MealType.VEGGIE, "veggie", true);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMNewYork", false);
SManager:AddHoneymoon(HoneymoonType.CAMP, "HMGreatSmoky", true);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMVenice", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");